<?php

namespace App\Http\Controllers\Admin;

use App\Models\Package;
use App\Models\Transfer;
use App\User;
use Carbon\Carbon;
use Illuminate\Http\Request;

class TransfersController extends MasterController
{
    public function __construct(Transfer $model)
    {
        $this->model = $model;
        $this->route = 'transfers';
        $this->module_name = 'قائمة التحويلات';
        $this->single_module_name = 'التحويلات';
        $this->index_fields = ['الاسم' => 'title', 'ملاحظات' => 'note', 'شهور لاشتراك' => 'months', 'السعر' => 'price'];
        $this->create_fields = ['العنوان' => 'title', 'الوصف' => 'note'];
        $this->update_fields = ['العنوان' => 'title', 'الوصف' => 'note'];
//        $this->middleware('permission:complains')->only('index');
//        $this->middleware('permission:delete_complains')->only('destroy');
        parent::__construct();
    }

    public function update($id, Request $request)
    {
        $this->validate($request, $this->validation_func(2, $id));
        $obj = Transfer::find($id);

        $obj['status'] = $request->status;

        $obj->update();
        return redirect('admin/' . $this->route . '')->with('updated', 'تم التعديل بنجاح');
    }


    public function transfer_edit($id, $status)
    {
        $transfer = Transfer::find($id);
        $transfer->status = $status;
        $transfer->update();

        if ($status == 'accept') {
            $user = User::find($transfer->user_id);
            if ($user->expiry_date > Carbon::now()->toDateString()) {
                $user->expiry_date = Carbon::parse($user->expiry_date)->addMonths($transfer->package->months)->toDateString();
            } else {
                $user->expiry_date = Carbon::now()->addMonths($transfer->package->months)->toDateString();
            }
            $user->subscription = 'true';
            $user->update();
            $mes = 'تم قبول التحوبل';
        } else {
            $mes = 'تم رفض التحوبل';
        }

        return redirect()->back()->with('updated', $mes);
    }

    public function validation_func($method, $id = null)
    {
        if ($method == 1) // POST Case
            return ['status' => 'required|in:waiting,accept,refuse'];
        return ['status' => 'required|in:waiting,accept,refuse'];
    }
}
