<?php

namespace App\Http\Controllers\Api;

use App\Http\Resources\PackageResource;
use App\Models\Package;
use App\Models\Transfer;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\Lang;
use Validator;

class DataController extends Controller
{
    public function packages(Request $request)
    {
        $lang = $request->header('Accept-Language', 'ar');
        \App::setLocale($lang);
        $data = Package::all();
        return PackageResource::collection($data)->additional(['value' => true]);
    }

    public function transfer(Request $request, $id)
    {
        $lang = $request->header('Accept-Language', 'ar');
        App::setLocale($lang);
        $validator = Validator::make($request->all(), [
            'image' => 'required|image',
            'package_id' => 'required|exists:packages,id',
            'bank_id' => 'required|exists:banks,id',
        ]);
        if ($validator->passes()) {

            $transfer = new Transfer();
            $transfer->user_id = $id;
            $transfer->package_id = $request->package_id;
            $transfer->bank_id = $request->bank_id;
            $transfer->image = $request->bank_id;
            $transfer->status = 'waiting';
            if ($request->image) {
                $filename = md5($request['image']->getClientOriginalName()) . '.' . $request['image']->getClientOriginalExtension();
                $request['image']->move(public_path('images/transfers'), $filename);
                $transfer->image = $filename;
            }
            $transfer->save();

            return response()->json(['value' => true, 'data' => Lang::get('data.sendTransfer'), 'code' => 200]);
        }
        return response()->json(['value' => false, 'msg' => $validator->errors()->first()]);

    }
}
