<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\Resource;
use Illuminate\Support\Facades\App;

class PackageResource extends Resource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        $lang = $request->header('Accept-Language', 'ar');
        App::setLocale($lang);

        return [
            'id' => $this->id,
            'title' => $this->title[$lang],
            'note' => $this->note[$lang],
            'months' => $this->months,
            'price' => $this->price,
        ];
    }
}
